## gnome-characters 43.1

=== meson_options.txt ===
option('dbus_service_dir', type: 'string', value: '', description: 'custom directory for dbus service files')
option('pangoft2', type: 'boolean', value: true, description: 'enable pangoft2 support')
option('installed_tests', type: 'boolean', value: false, description: 'Enable installation of some test cases')
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for GTK Rust Template. One of "default" or "development".'
)

## gnome-characters 3.18.1

=== debian/changelog ===
gnome-characters (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Add Depends on gir1.2-gnomedesktop-3.0.
  * Remove useless libtool .la file for the private library.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Oct 2015 12:33:18 +0200

gnome-characters (3.16.2-1) unstable; urgency=low

  * Initial release

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Aug 2015 15:10:45 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-characters
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               gnome-pkg-tools,
               pkg-config (>= 0.22),
               intltool (>= 0.50.1),
               libglib2.0-dev (>= 2.39),
               libgtk-3-dev (>= 3.13.8),
               libgirepository1.0-dev (>= 1.35.9),
               libgjs-dev (>= 1.43.3),
               gjs (>= 1.43.3),
               libgdk-pixbuf2.0-dev,
               libpango1.0-dev
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-characters
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-characters
Homepage: https://wiki.gnome.org/Design/Apps/CharacterMap

Package: gnome-characters
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gjs (>= 1.43.3),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gnomedesktop-3.0
Description: character map application
 Characters is a simple utility application to find and
 insert unusual characters.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules --disable-dogtail

override_dh_auto_install:
	dh_auto_install
	find debian/gnome-characters -name '*.la' -delete

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-characters/([0-9.]+[02468])/gnome-characters-([0-9.]+)\.tar\.xz

## gnome-characters 3.20.1

=== debian/changelog ===
gnome-characters (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.
  * Bump minimum required version of gtk3 to 3.20.0, otherwise the application
    fails to start. (Closes: #819975)

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 15:14:57 +0200

gnome-characters (3.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 15:49:02 +0100

gnome-characters (3.19.92-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Mar 2016 21:42:22 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                pkg-config (>= 0.22),
                intltool (>= 0.50.1),
                libglib2.0-dev (>= 2.39),
-               libgtk-3-dev (>= 3.13.8),
+               libgtk-3-dev (>= 3.20.0),
                libgirepository1.0-dev (>= 1.35.9),
                libgjs-dev (>= 1.43.3),
                gjs (>= 1.43.3),
                libgdk-pixbuf2.0-dev,
                libpango1.0-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-characters
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-characters
 Homepage: https://wiki.gnome.org/Design/Apps/CharacterMap
@@ -29,7 +29,7 @@
          ${misc:Depends},
          gjs (>= 1.43.3),
          gir1.2-glib-2.0,
-         gir1.2-gtk-3.0,
+         gir1.2-gtk-3.0 (>= 3.20.0),
          gir1.2-pango-1.0,
          gir1.2-gdkpixbuf-2.0,
          gir1.2-gnomedesktop-3.0

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules --disable-dogtail

override_dh_auto_install:
	dh_auto_install
	find debian/gnome-characters -name '*.la' -delete

## gnome-characters 3.21.91.1

=== debian/changelog ===
gnome-characters (3.21.91.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream beta release
  * Add debian/docs to install NEWS
  * debian/control.in:
    - Drop intltool from Build-Depends
    - Update Vcs fields
  * Bump dh compat to 10

  [ Michael Biebl ]
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.
  * Bump Standards-Version to 3.9.8.
  * Add Depends on libglib2.0-bin, for gapplication. (Closes: #835219)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Aug 2016 17:04:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160403~),
                gnome-pkg-tools,
                pkg-config (>= 0.22),
-               intltool (>= 0.50.1),
                libglib2.0-dev (>= 2.39),
                libgtk-3-dev (>= 3.20.0),
                libgirepository1.0-dev (>= 1.35.9),
@@ -18,15 +17,16 @@
                gjs (>= 1.43.3),
                libgdk-pixbuf2.0-dev,
                libpango1.0-dev
-Standards-Version: 3.9.7
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-characters
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-characters
+Standards-Version: 3.9.8
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-characters
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-characters
 Homepage: https://wiki.gnome.org/Design/Apps/CharacterMap
 
 Package: gnome-characters
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         libglib2.0-bin (>= 2.40.0-3),
          gjs (>= 1.43.3),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0 (>= 3.20.0),

## gnome-characters 3.22.0

=== debian/changelog ===
gnome-characters (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Sep 2016 17:20:16 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9.20160403~),
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                pkg-config (>= 0.22),
                libglib2.0-dev (>= 2.39),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --with gnome
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-silent-rules --disable-dogtail
+	dh_auto_configure -- --disable-dogtail
 
 override_dh_auto_install:
 	dh_auto_install

## gnome-characters 3.24.0

=== debian/changelog ===
gnome-characters (3.24.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 31 Aug 2017 19:07:15 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                pkg-config (>= 0.22),
@@ -17,7 +17,7 @@
                gjs (>= 1.43.3),
                libgdk-pixbuf2.0-dev,
                libpango1.0-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-characters
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-characters
 Homepage: https://wiki.gnome.org/Design/Apps/CharacterMap

## gnome-characters 3.25.92

=== debian/changelog ===
gnome-characters (3.25.92-1) experimental; urgency=medium

  * New upstream release
  * Bump Build-Depends on libgjs-dev to >= 1.49

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Sep 2017 15:09:49 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libglib2.0-dev (>= 2.39),
                libgtk-3-dev (>= 3.20.0),
                libgirepository1.0-dev (>= 1.35.9),
-               libgjs-dev (>= 1.43.3),
+               libgjs-dev (>= 1.49),
                gjs (>= 1.43.3),
                libgdk-pixbuf2.0-dev,
                libpango1.0-dev

## gnome-characters 3.26.1

=== debian/changelog ===
gnome-characters (3.26.1-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 04 Oct 2017 12:22:09 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                pkg-config (>= 0.22),
@@ -17,7 +17,7 @@
                gjs (>= 1.43.3),
                libgdk-pixbuf2.0-dev,
                libpango1.0-dev
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-characters
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-characters
 Homepage: https://wiki.gnome.org/Design/Apps/CharacterMap

## gnome-characters 3.26.2

=== debian/changelog ===
gnome-characters (3.26.2-1) unstable; urgency=medium

  * New upstream release (LP: #1728633)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Oct 2017 11:26:46 -0400

gnome-characters (3.26.1-3) unstable; urgency=medium

  * Bump the runtime dependency on gjs to >= 1.49 too. (Closes: #879229)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Oct 2017 15:50:58 -0400

gnome-characters (3.26.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 17:24:57 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libgtk-3-dev (>= 3.20.0),
                libgirepository1.0-dev (>= 1.35.9),
                libgjs-dev (>= 1.49),
-               gjs (>= 1.43.3),
+               gjs (>= 1.49),
                libgdk-pixbuf2.0-dev,
                libpango1.0-dev
 Standards-Version: 4.1.1
@@ -27,7 +27,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libglib2.0-bin (>= 2.40.0-3),
-         gjs (>= 1.43.3),
+         gjs (>= 1.49),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0 (>= 3.20.0),
          gir1.2-pango-1.0,

## gnome-characters 3.28.0

=== debian/changelog ===
gnome-characters (3.28.0-3) unstable; urgency=medium

  * Fix workaround for Ubuntu translations issue

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 14 Mar 2018 22:50:00 -0400

gnome-characters (3.28.0-2) unstable; urgency=medium

  * Add workaround for Ubuntu translations issue

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 14 Mar 2018 12:45:09 -0400

gnome-characters (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Build-Depend on libunistring-dev

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 10:14:41 -0400

gnome-characters (3.26.2-4) unstable; urgency=medium

  * debian/copyright: update years to match source
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Add lintian override for desktop-command-not-in-package

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Feb 2018 15:19:56 -0500

gnome-characters (3.26.2-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 21:14:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-characters
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
+               libunistring-dev,
+               meson (>= 0.42.0),
                pkg-config (>= 0.22),
                libglib2.0-dev (>= 2.39),
                libgtk-3-dev (>= 3.20.0),
@@ -17,9 +19,9 @@
                gjs (>= 1.49),
                libgdk-pixbuf2.0-dev,
                libpango1.0-dev
-Standards-Version: 4.1.1
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-characters
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-characters
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-characters
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-characters.git
 Homepage: https://wiki.gnome.org/Design/Apps/CharacterMap
 
 Package: gnome-characters

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome --buildsystem=meson

# Needed by Ubuntu
override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) org.gnome.Characters-pot
	dh_translations

override_dh_auto_clean:
	dh_auto_clean
	rm -f po/org.gnome.Characters.pot

## gnome-characters 3.28.2

=== debian/changelog ===
gnome-characters (3.28.2-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * Drop obsolete dh_translations overrides and fix .desktop translations
    (LP: #1767549)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 May 2018 09:47:53 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-characters
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome --buildsystem=meson

## gnome-characters 3.30.0

=== debian/changelog ===
gnome-characters (3.30.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:53:39 +0800

gnome-characters (3.30.0-2) unstable; urgency=medium

  * Team upload
  * Rebuild to help the gjs transition to happen (see #906016). We need
    a higher version of gnome-characters in unstable than the obsolete
    s390x binaries in testing.
  * Normalize order of dependency lists (wrap-and-sort -a)

 -- Simon McVittie <smcv@debian.org>  Thu, 13 Dec 2018 11:37:59 +0000

gnome-characters (3.30.0-1) unstable; urgency=medium

  * New upstream release
    - Re-enable GNOME Shell search provider by default

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 09 Oct 2018 11:53:05 -0400

gnome-characters (3.29.91-1) unstable; urgency=medium

  * New upstream release 3.29.91 (LP: #1790619)
    - Port to modern JavaScript
    - build: Drop autotools support
  * debian/control{,.in}:
    + Set Rules-Requires-Root to no
    + Standards-Version → 4.2.1 - no changes required
  * Run dh_missing with --fail-missing, to catch any files not installed

 -- Iain Lane <laney@debian.org>  Tue, 04 Sep 2018 16:13:33 +0100

gnome-characters (3.28.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 May 2018 11:39:16 -0400

gnome-characters (3.28.0-4) unstable; urgency=medium

  * Recommends fonts-noto-color-emoji since it's the only color
    emoji font in Debian currently
  * Drop obsolete dh_translations overrides (LP: #1767549)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 04 May 2018 18:36:18 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-characters
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11),
               gjs (>= 1.49),
               gnome-pkg-tools,
               libgdk-pixbuf2.0-dev,
               libgirepository1.0-dev (>= 1.35.9),
               libgjs-dev (>= 1.49),
               libglib2.0-dev (>= 2.39),
               libgtk-3-dev (>= 3.20.0),
               libpango1.0-dev,
               libunistring-dev,
               meson (>= 0.42.0),
               pkg-config (>= 0.22)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-characters
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-characters.git
Homepage: https://wiki.gnome.org/Design/Apps/CharacterMap
Rules-Requires-Root: no

Package: gnome-characters
Architecture: any
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gnomedesktop-3.0,
         gir1.2-gtk-3.0 (>= 3.20.0),
         gir1.2-pango-1.0,
         gjs (>= 1.49),
         libglib2.0-bin (>= 2.40.0-3),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-noto-color-emoji
Description: character map application
 Characters is a simple utility application to find and
 insert unusual characters.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

## gnome-characters 3.32.1

=== debian/changelog ===
gnome-characters (3.32.1-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Bump Standards-Version to 4.4.0
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Sep 2019 15:18:50 -0400

gnome-characters (3.32.1-1) experimental; urgency=medium

  * New upstream release
  * Remove cherry pick patch, the changes are in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Apr 2019 15:05:58 +0200

gnome-characters (3.32.0-2) experimental; urgency=medium

  * Cherry-pick upstream patch to fix broken Shell search provider

 -- Iain Lane <laney@debian.org>  Mon, 01 Apr 2019 17:38:17 +0100

gnome-characters (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Add -Wl,-O1 to LDFLAGS
  * debian/copyright: minor update
  * Bump Standards-Version to 4.3.0
  * Bump minimum gjs to 1.50 and meson to 0.46.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Mar 2019 10:18:52 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
-               gjs (>= 1.49),
-               gnome-pkg-tools,
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
+               gjs (>= 1.50),
                libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev (>= 1.35.9),
                libgjs-dev (>= 1.49),
@@ -17,9 +17,9 @@
                libgtk-3-dev (>= 3.20.0),
                libpango1.0-dev,
                libunistring-dev,
-               meson (>= 0.42.0),
+               meson (>= 0.46.0),
                pkg-config (>= 0.22)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-characters
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-characters.git
 Homepage: https://wiki.gnome.org/Design/Apps/CharacterMap

## gnome-characters 3.34.0

=== debian/changelog ===
gnome-characters (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 20:14:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                gjs (>= 1.50),
@@ -19,7 +19,7 @@
                libunistring-dev,
                meson (>= 0.46.0),
                pkg-config (>= 0.22)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-characters
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-characters.git
 Homepage: https://wiki.gnome.org/Design/Apps/CharacterMap

## gnome-characters 40.0

=== debian/changelog ===
gnome-characters (40.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Mar 2021 21:37:52 +0100

gnome-characters (40~beta-2) experimental; urgency=medium

  [ Gunnar Hjalmarsson ]
  * debian/control.in: Depends on gir1.2-handy-1
    - Thanks to Joakim Walldén for pointing it out! (lp: #1919081)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Mar 2021 09:53:05 +0100

gnome-characters (40~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depends on libhandy-1-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Feb 2021 13:05:03 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libgjs-dev (>= 1.49),
                libglib2.0-dev (>= 2.39),
                libgtk-3-dev (>= 3.20.0),
+               libhandy-1-dev (>= 1.1),
                libpango1.0-dev,
                libunistring-dev,
                meson (>= 0.46.0),
@@ -31,6 +32,7 @@
          gir1.2-glib-2.0,
          gir1.2-gnomedesktop-3.0,
          gir1.2-gtk-3.0 (>= 3.20.0),
+         gir1.2-handy-1,
          gir1.2-pango-1.0,
          gjs (>= 1.49),
          libglib2.0-bin (>= 2.40.0-3),

## gnome-characters 41.0

=== debian/changelog ===
gnome-characters (41.0-4) unstable; urgency=medium

  * Cherry-pick improved dark theme patch (LP: #1936935)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 19 Mar 2022 13:33:25 -0400

gnome-characters (41.0-3) unstable; urgency=medium

  * Restore patches accidentally dropped from last upload

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 16:40:48 -0500

gnome-characters (41.0-2) unstable; urgency=medium

  * Add patch to fix build with latest meson (Closes: #1005574)
  * Add patch to support GNOME 42 dark theme preference
  * debian/control.in: Bump minimum libhandy to 1.5.90 for that change

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 16:14:22 -0500

gnome-characters (41.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Sep 2021 19:07:30 -0400

gnome-characters (40.0-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/watch: Update for GNOME 40 release style numbering
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 08:54:31 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gjs (>= 1.50),
                libgdk-pixbuf2.0-dev,
@@ -15,7 +15,7 @@
                libgjs-dev (>= 1.49),
                libglib2.0-dev (>= 2.39),
                libgtk-3-dev (>= 3.20.0),
-               libhandy-1-dev (>= 1.1),
+               libhandy-1-dev (>= 1.5.90),
                libpango1.0-dev,
                libunistring-dev,
                meson (>= 0.46.0),
@@ -32,7 +32,7 @@
          gir1.2-glib-2.0,
          gir1.2-gnomedesktop-3.0,
          gir1.2-gtk-3.0 (>= 3.20.0),
-         gir1.2-handy-1,
+         gir1.2-handy-1 (>= 1.5.90),
          gir1.2-pango-1.0,
          gjs (>= 1.49),
          libglib2.0-bin (>= 2.40.0-3),

## gnome-characters 43.0

=== debian/changelog ===
gnome-characters (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/control.in: Replace transitional libgdk-pixbuf2.0-dev Build-Depends

  [ Debian Janitor ]
  * Set upstream metadata fields

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:00:56 -0400

gnome-characters (43~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 14:40:42 -0400

gnome-characters (43~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 08:06:29 -0400

gnome-characters (43~alpha-1) unstable; urgency=medium

  * New upstream release
    - Emoji Sequences and Modifiers are now supported
    - The app now uses the new Adwaita About Window
  * debian/control.in: Bump minimum libadwaita
  * debian/control.in: Build-Depend on desktop-file-utils

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 16:23:20 +0200

gnome-characters (42.0-1) unstable; urgency=medium

  * New upstream release
    - Supports Unicode 14
    - Support for Emoji Sequences and Modifiers is planned
      for the 43 release
  * Drop all patches: applied in new release
  * Switch to gtk4 and libadwaita instead of gtk3 and libhandy
  * debian/control.in: Switch from gnome-desktop 3 to gnome-desktop 4
  * debian/control.in: Drop obsolete Build-Depends on libunistring

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 19 Mar 2022 13:36:05 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-characters
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gnome,
               gjs (>= 1.50),
               libgdk-pixbuf-2.0-dev,
               libgirepository1.0-dev (>= 1.35.9),
               libgjs-dev (>= 1.49),
               libglib2.0-dev (>= 2.39),
               libgtk-4-dev (>= 4.6),
               libadwaita-1-dev (>= 1.2~alpha),
               libpango1.0-dev,
               meson (>= 0.46.0),
               pkg-config (>= 0.22)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-characters
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-characters.git
Homepage: https://wiki.gnome.org/Design/Apps/CharacterMap
Rules-Requires-Root: no

Package: gnome-characters
Architecture: any
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gnomedesktop-4.0,
         gir1.2-gtk-4.0 (>= 4.6),
         gir1.2-adw-1 (>= 1.2~alpha),
         gjs (>= 1.49),
         libglib2.0-bin (>= 2.40.0-3),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-noto-color-emoji
Description: character map application
 Characters is a simple utility application to find and
 insert unusual characters.

## gnome-characters 43.1

=== debian/changelog ===
gnome-characters (43.1-1+deb12u1) bookworm; urgency=medium

  * Cherry-pick patch for Unicode 15.0.1 updates
  * Cherry-pick proposed patch for Unicode 15.1 updates (Closes: #1057158)
  * debian/gbp.conf: Branch for bookworm

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Nov 2023 15:23:07 -0500

gnome-characters (43.1-1) unstable; urgency=medium

  * New upstream release
    - Add Unicode 15 characters
  * Bump minimum glib to 2.74.1 for better searching of Unicode 15 characters

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Dec 2022 14:38:47 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
@@ -14,7 +14,7 @@
                libgdk-pixbuf-2.0-dev,
                libgirepository1.0-dev (>= 1.35.9),
                libgjs-dev (>= 1.49),
-               libglib2.0-dev (>= 2.39),
+               libglib2.0-dev (>= 2.74.1),
                libgtk-4-dev (>= 4.6),
                libadwaita-1-dev (>= 1.2~alpha),
                libpango1.0-dev,
@@ -34,7 +34,7 @@
          gir1.2-gtk-4.0 (>= 4.6),
          gir1.2-adw-1 (>= 1.2~alpha),
          gjs (>= 1.49),
-         libglib2.0-bin (>= 2.40.0-3),
+         libglib2.0-bin,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fonts-noto-color-emoji

## gnome-characters 44.0

=== debian/changelog ===
gnome-characters (44.0-4) experimental; urgency=medium

  * debian/patches: Use an active timeout when running the app as service
    (LP: #2016708)
  * debian/patches: Try to use the Cairo renderer if GL is not available
    (LP: #2016708)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 17 Apr 2023 20:46:48 +0200

gnome-characters (44.0-3) experimental; urgency=medium

  * debian/control.in: Build-Depend on xauth since Debian's xvfb
    does not depend on it

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 14 Apr 2023 08:15:29 -0400

gnome-characters (44.0-2) experimental; urgency=medium

  * debian/patches: Do not crash when rendering invisible characters
    (LP: #2012287)
  * debian/control: Add build-dependencies on xvfb and gjs for testing

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Apr 2023 05:04:46 +0200

gnome-characters (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 11:35:37 -0400

gnome-characters (44~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson
  * debian/control.in: Drop no-longer needed Build-Depends: gjs

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2023 16:06:35 -0500

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
-               gjs (>= 1.50),
                libgdk-pixbuf-2.0-dev,
                libgirepository1.0-dev (>= 1.35.9),
                libgjs-dev (>= 1.49),
@@ -18,8 +17,11 @@
                libgtk-4-dev (>= 4.6),
                libadwaita-1-dev (>= 1.2~alpha),
                libpango1.0-dev,
-               meson (>= 0.46.0),
-               pkg-config (>= 0.22)
+               gjs <!nocheck>,
+               meson (>= 0.61.0),
+               pkg-config (>= 0.22),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-characters
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-characters.git

## gnome-characters 45~alpha

=== debian/changelog ===
gnome-characters (45~alpha-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Aug 2023 18:45:46 -0400

gnome-characters (45~alpha-1) experimental; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 11:57:33 -0400

gnome-characters (44.0-5) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 12:53:03 -0400

## gnome-characters 45.0

=== debian/changelog ===
gnome-characters (45.0-2) unstable; urgency=medium

  * Cherry-pick proposed patch for Unicode 15.1 updates (LP: #2045056)
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 Nov 2023 15:04:40 -0500

gnome-characters (45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 07:47:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-characters
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
@@ -22,7 +18,7 @@
                pkg-config (>= 0.22),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-characters
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-characters.git
 Homepage: https://wiki.gnome.org/Design/Apps/CharacterMap

## gnome-characters 46.0

=== debian/changelog ===
gnome-characters (46.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:05:22 +0000

gnome-characters (46.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * Bump minimum libadwaita to 1.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 15:01:04 -0400

gnome-characters (45.0-3) unstable; urgency=medium

  * Team upload
  * d/control: gjs is needed at build-time even if not running tests.
    This source package only has one binary package, and it requires gjs,
    so there would be no benefit to adjusting the upstream build system
    to be able to build without gjs present. (Closes: #1061703)
  * d/control: Build-depend on pkgconf instead of superseded pkg-config
  * d/lintian-overrides: Remove unused override

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Mar 2024 17:35:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: gnome-characters
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
+               gjs,
                libgdk-pixbuf-2.0-dev,
                libgirepository1.0-dev (>= 1.35.9),
                libgjs-dev (>= 1.49),
                libglib2.0-dev (>= 2.74.1),
                libgtk-4-dev (>= 4.6),
-               libadwaita-1-dev (>= 1.2~alpha),
+               libadwaita-1-dev (>= 1.4),
                libpango1.0-dev,
-               gjs <!nocheck>,
                meson (>= 0.61.0),
-               pkg-config (>= 0.22),
+               pkgconf,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.6.2
@@ -30,7 +31,7 @@
          gir1.2-glib-2.0,
          gir1.2-gnomedesktop-4.0,
          gir1.2-gtk-4.0 (>= 4.6),
-         gir1.2-adw-1 (>= 1.2~alpha),
+         gir1.2-adw-1 (>= 1.4),
          gjs (>= 1.49),
          libglib2.0-bin,
          ${misc:Depends},

## gnome-characters 47.0

=== debian/changelog ===
gnome-characters (47.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:07:30 -0400

gnome-characters (47~alpha-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita
  * Update Homepage
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 17:24:37 -0400

=== debian/control ===
Source: gnome-characters
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gnome,
               gjs,
               libgdk-pixbuf-2.0-dev,
               libgirepository1.0-dev (>= 1.35.9),
               libgjs-dev (>= 1.49),
               libglib2.0-dev (>= 2.74.1),
               libgtk-4-dev (>= 4.6),
               libadwaita-1-dev (>= 1.5),
               libpango1.0-dev,
               meson (>= 0.61.0),
               pkgconf,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-characters
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-characters.git
Homepage: https://apps.gnome.org/Characters/
Rules-Requires-Root: no

Package: gnome-characters
Architecture: any
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gnomedesktop-4.0,
         gir1.2-gtk-4.0 (>= 4.6),
         gir1.2-adw-1 (>= 1.5),
         gjs (>= 1.49),
         libglib2.0-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-noto-color-emoji
Description: character map application
 Characters is a simple utility application to find and
 insert unusual characters.

## gnome-characters 48~alpha

=== debian/changelog ===
gnome-characters (48~alpha-2) unstable; urgency=medium

  * Release to unstable
  * Revert "Set Salsa CI release to experimental"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 15:49:04 -0500

gnome-characters (48~alpha-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib to 2.83 for correct display of Unicode 16 emoji
  * Set Salsa CI release to experimental

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Jan 2025 15:13:00 -0500

gnome-characters (47.0-2) unstable; urgency=medium

  * Bump minimum libadwaita to 1.6 (Closes: #1082529)
  * Run wrap-and-sort
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Jan 2025 10:06:27 -0500

## gnome-characters 48.0

=== debian/changelog ===
gnome-characters (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 14:17:02 -0400

=== debian/control ===
Source: gnome-characters
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               desktop-file-utils,
               gjs,
               libadwaita-1-dev (>= 1.6),
               libgdk-pixbuf-2.0-dev,
               libgirepository1.0-dev (>= 1.35.9),
               libgjs-dev (>= 1.49),
               libglib2.0-dev (>= 2.83),
               libgtk-4-dev (>= 4.6),
               libpango1.0-dev,
               meson (>= 0.61.0),
               pkgconf,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-characters
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-characters.git
Homepage: https://apps.gnome.org/Characters/
Rules-Requires-Root: no

Package: gnome-characters
Architecture: any
Depends: gir1.2-adw-1 (>= 1.6),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gnomedesktop-4.0,
         gir1.2-gtk-4.0 (>= 4.6),
         gjs (>= 1.49),
         libglib2.0-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-noto-color-emoji
Description: character map application
 Characters is a simple utility application to find and
 insert unusual characters.

## gnome-characters 49~rc

=== debian/changelog ===
gnome-characters (49~rc-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Rules-Requires-Root field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Sep 2025 12:51:41 -0400

=== debian/control ===
--- 
+++ 
@@ -21,11 +21,10 @@
                pkgconf,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-characters
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-characters.git
 Homepage: https://apps.gnome.org/Characters/
-Rules-Requires-Root: no
 
 Package: gnome-characters
 Architecture: any

## gnome-characters 49.0

=== debian/changelog ===
gnome-characters (49.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Simon McVittie ]
  * d/control: Drop unnecessary Build-Depends on libgirepository1.0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Sep 2025 15:35:34 -0400

## gnome-characters 49.1

=== debian/changelog ===
gnome-characters (49.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 19:03:05 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                gjs,
                libadwaita-1-dev (>= 1.6),
                libgdk-pixbuf-2.0-dev,
-               libgirepository1.0-dev (>= 1.35.9),
                libgjs-dev (>= 1.49),
                libglib2.0-dev (>= 2.83),
                libgtk-4-dev (>= 4.6),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_gnome_clean:

## gnome-characters 50~alpha

=== debian/changelog ===
gnome-characters (50~alpha-1) unstable; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 50.alpha
  * Bump build requirements: libadwaita 1.9 and glib 2.87

  [ Jeremy Bícha ]
  * Add Build-Depends: appstream for build tests
  * Add Build-Depends: libxml2-utils for xmllint
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 15 Feb 2026 12:53:00 -0500

gnome-characters (49.1-2) unstable; urgency=medium

  * Add Build-Depends: gobject-introspection

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 Oct 2025 07:05:13 -0400

=== debian/control ===
Source: gnome-characters
Standards-Version: 4.7.3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Section: gnome
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               appstream <!nocheck>,
               desktop-file-utils,
               gjs,
               gobject-introspection,
               libadwaita-1-dev (>= 1.9~alpha),
               libgdk-pixbuf-2.0-dev,
               libgjs-dev,
               libglib2.0-dev (>= 2.87),
               libgtk-4-dev,
               libpango1.0-dev,
               libxml2-utils,
               meson,
               pkgconf,
               xauth <!nocheck>,
               xvfb <!nocheck>
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-characters
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-characters.git
Homepage: https://apps.gnome.org/Characters/

Package: gnome-characters
Architecture: any
Depends: gir1.2-adw-1 (>= 1.6),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gnomedesktop-4.0,
         gir1.2-gtk-4.0,
         gjs,
         libglib2.0-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-noto-color-emoji
Description: character map application
 Characters is a simple utility application to find and
 insert unusual characters.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,5 @@
 %:
 	dh $@
 
-override_dh_gnome_clean:
+# We only use dh_gnome to automatically run dh_translations in Ubuntu
+override_dh_gnome:
